# Trait nom::FindSubstring

source · [−]

    pub trait FindSubstring<T> {
        fn find_substring(&self, substr: T) -> Option<usize>;
    }

Expand description

Look for a substring in self

## Required Methods

source

#### fn find_substring(&self, substr: T) -> Option<usize>

Returns the byte position of the substring if it is found

## Implementations on Foreign Types

source

### impl<'a, 'b> FindSubstring<&'b [u8]> for &'a [u8]

source

#### fn find_substring(&self, substr: &'b [u8]) -> Option<usize>

source

### impl<'a, 'b> FindSubstring<&'b str> for &'a [u8]

source

#### fn find_substring(&self, substr: &'b str) -> Option<usize>

source

### impl<'a, 'b> FindSubstring<&'b str> for &'a str

source

#### fn find_substring(&self, substr: &'b str) -> Option<usize>

## Implementors